### Hierarchy

- default

## Index

### Constructors

- constructor

### Methods

- clearMeasure
- measureHeight
- setMeasureActive

## Constructors

### constructor

- new default(gmfLidarprofileManagerInstance: LidarprofileManager): default

- - Defined in src/lidar/Measure.ts:53

  Measure tool for the d3 chart

  #### Parameters

  - ##### gmfLidarprofileManagerInstance: LidarprofileManager

    gmf lidar profile manager instance

  #### Returns default

## Methods

### clearMeasure

- clearMeasure(): void

- - Defined in src/lidar/Measure.ts:73

  Clear the current measure

  #### Returns void

### measureHeight

- measureHeight(event: MouseEvent): void

- - Defined in src/lidar/Measure.ts:110

  Measure and display height after two click on the profile.

  #### Parameters

  - ##### event: MouseEvent

    Event .

  #### Returns void

### setMeasureActive

- setMeasureActive(): void

- - Defined in src/lidar/Measure.ts:95

  Activate the measure tool

  #### Returns void

Generated using TypeDoc